Package com.ngrok.definitions

# Class EventTarget.Builder

java.lang.Object
com.ngrok.definitions.EventTarget.Builder

Enclosing class:
  EventTarget

public static class EventTarget.Builder extends Object
Builder class for `EventTarget`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventTarget`
  `build()`
  Constructs the `EventTarget` instance.
  `EventTarget.Builder`
  `cloudwatchLogs(EventTargetCloudwatchLogs cloudwatchLogs)`
  Configuration used to send events to Amazon CloudWatch Logs.
  `EventTarget.Builder`
  `cloudwatchLogs(Optional<EventTargetCloudwatchLogs> cloudwatchLogs)`
  Configuration used to send events to Amazon CloudWatch Logs.
  `EventTarget.Builder`
  `firehose(EventTargetFirehose firehose)`
  Configuration used to send events to Amazon Kinesis Data Firehose.
  `EventTarget.Builder`
  `firehose(Optional<EventTargetFirehose> firehose)`
  Configuration used to send events to Amazon Kinesis Data Firehose.
  `EventTarget.Builder`
  `kinesis(EventTargetKinesis kinesis)`
  Configuration used to send events to Amazon Kinesis.
  `EventTarget.Builder`
  `kinesis(Optional<EventTargetKinesis> kinesis)`
  Configuration used to send events to Amazon Kinesis.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### firehose

    public EventTarget.Builder firehose(EventTargetFirehose firehose)
    Configuration used to send events to Amazon Kinesis Data Firehose.
    Parameters:
      `firehose` - the value of the `firehose` parameter as a `EventTargetFirehose`
    Returns:
      this builder instance

  - ### firehose

    public EventTarget.Builder firehose(Optional<EventTargetFirehose> firehose)
    Configuration used to send events to Amazon Kinesis Data Firehose.
    Parameters:
      `firehose` - the value of the `firehose` parameter as a `EventTargetFirehose`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### kinesis

    public EventTarget.Builder kinesis(EventTargetKinesis kinesis)
    Configuration used to send events to Amazon Kinesis.
    Parameters:
      `kinesis` - the value of the `kinesis` parameter as a `EventTargetKinesis`
    Returns:
      this builder instance

  - ### kinesis

    public EventTarget.Builder kinesis(Optional<EventTargetKinesis> kinesis)
    Configuration used to send events to Amazon Kinesis.
    Parameters:
      `kinesis` - the value of the `kinesis` parameter as a `EventTargetKinesis`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### cloudwatchLogs

    public EventTarget.Builder cloudwatchLogs(EventTargetCloudwatchLogs cloudwatchLogs)
    Configuration used to send events to Amazon CloudWatch Logs.
    Parameters:
      `cloudwatchLogs` - the value of the `cloudwatch_logs` parameter as a `EventTargetCloudwatchLogs`
    Returns:
      this builder instance

  - ### cloudwatchLogs

    public EventTarget.Builder cloudwatchLogs(Optional<EventTargetCloudwatchLogs> cloudwatchLogs)
    Configuration used to send events to Amazon CloudWatch Logs.
    Parameters:
      `cloudwatchLogs` - the value of the `cloudwatch_logs` parameter as a `EventTargetCloudwatchLogs`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EventTarget build()
    Constructs the `EventTarget` instance.
    Returns:
      a new `EventTarget`